*,
*::after,
*::before {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
:root {
  --color-hover: #444;
  --color-secondary: #85c441;
  --color-body: #212529;
  --color-icons: rgba(68, 68, 68, 0.8);
  --color-bg: #f2f2f2;
}
/* Typography */
@font-face {
  font-family: iransans;
  font-style: normal;
  font-weight: normal;
  src: url("../fonts/IRANSansWeb.ttf");
  src: url("../fonts/IRANSansWeb.woff");
}
@font-face {
  font-family: iransans;
  font-style: normal;
  font-weight: 300;
  src: url("../fonts/IRANSansWeb_Medium.ttf");
  src: url("../fonts/IRANSansWeb_Medium.woff");
}
@font-face {
  font-family: iransans-light;
  font-style: normal;
  font-weight: 300;
  src: url("../fonts/IRANSansWeb_Light.ttf");
  src: url("../fonts/IRANSansWeb_Light.woff");
}
::selection {
  background: var(--color-primary);
  color: #fff;
}
html {
  font-size: 62.5%;
}
body {
  font-family: iransans, Arial, Helvetica, sans-serif;
  color: var(--color-body);
  font-size: 1.5rem;
}

h1,
h2,
h3 {
  margin-bottom: 1rem;
}
h1 {
  font-size: 4.1rem;
}
h2 {
  font-size: 2.5rem;
}
h3 {
  font-size: 2rem;
}
h4 {
  font-size: 1.5rem;
}
a {
  color: var(--color-body);
}
/* Links */
a {
  text-decoration: none;
}
/* Lists */
.list {
  list-style: none;
  display: flex;
}
.list li {
  margin-left: 3rem;
}
.list li a {
  color: #fff;
}
/* Icons */
.icon {
  width: 40px;
  height: 40px;
}
.icon--primary {
  fill: var(--color-icons);
}
.icon--white {
  fill: #fff;
}

/* Input */
.input {
  display: none;
}
.btn {
  border: none;
  background-color: transparent;
}
.btn--search a {
  display: block;
}
.opened .search-box {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  margin: 0 auto;
  background-color: rgba(0, 0, 0, 0.7);
  z-index: 100;
  width: 100%;
  padding: 100px;
  display: none;
  height: 100%;
}
.search-box .btnClose {
  position: absolute;
  top: 30px;
  right: 50px;
  background-color: transparent;
  padding: 0;
  border: unset;
  font-size: 50px;
  line-height: 1;
  cursor: pointer;
  color: #fff;
}
.searchinput {
  position: relative;
  width: 70%;
  margin: 0 auto;
}
.search-box form input {
  display: block;
  padding: 7px 10px;
  width: 100%;
  margin: 0 auto;
  border: 2px solid #888;
  margin-bottom: 1rem;
  font-size: 16px;
}
.searchinput svg {
  position: absolute;
  left: 0.8rem;
  top: 0.2rem;
}
.searchinput .icon {
  width: 3rem;
  height: 3rem;
}

/* Navigation Bar */
.navbar {
  display: flex;
  align-items: center;
  padding: 1rem;
  position: relative;
  z-index: 9;
}
.navbar::after {
  content: "";
  position: absolute;
  height: 0.1rem;
  background-color: rgba(241, 242, 243, 0.7);
  width: 99%;
  bottom: 0;
}
.nav__toggler {
  display: none;
}

.nav__list {
  width: 112rem;
  display: flex;
  max-height: 100%;
  opacity: 1;
  margin-right: 5rem;
}
.nav__item {
  border: 0;
}

@media screen and (max-width: 768px) {
  .navbar {
    flex-wrap: wrap;
    padding: 0 1rem;
  }

  .nav__list {
    margin: 0;
    width: 100%;
    display: block;
  }

  .nav__item {
    padding: 0.5rem 2rem;
  }

  .nav__item > a {
    color: #d2d0db;
    transition: color 0.3s ease;
  }

  .nav__item > a:hover {
    color: #fff;
  }

  .nav__toggler {
    cursor: pointer;
    display: block;
  }
  .collapsible__content {
    max-height: 0;
    overflow: hidden;
    opacity: 0;
    transition: all 0.4s;
  }
  .collapsible--expanded .collapsible__content {
    max-height: 100vh;
    opacity: 1;
  }
}
/* Blocks */
.block {
  margin: 0 auto;
  max-width: 128rem;
}
.block__title {
  margin-bottom: 4rem;
  font-family: iransans-light;
  font-size: 2.2rem;
}
.block img {
  width: 100%;
  display: block;
}
.block p {
  line-height: 1.8;
  text-align: justify;
}
/* Hero */
#header {
  height: 100vh;
}
.container #header .header__slider {
  position: relative;
  height: 100vh;
  margin-top: -10rem;
}
.header__slider .banner {
  width: 100%;
  height: 100vh;
  object-fit: cover;
}
.header__slider .slide {
  position: absolute;
  top: 0;
  right: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
  opacity: 0;
  transition: all 1000ms;
}
.header__slider .slide::after {
  content: "";
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  background-color: rgba(0, 0, 0, 0.6);
  position: absolute;
}
.header__slider .active {
  opacity: 1;
  z-index: 1;
}
.header__slider .list {
  display: flex;
  justify-content: space-evenly;
  position: absolute;
  bottom: 10px;
  right: 0;
  left: 0;
  width: 100%;
  margin-right: auto;
  margin-left: auto;
  z-index: 2;
}
.header__slider .list .single.active .desc,
.header__slider .list .single:hover .desc {
  transform: rotateX(0);
}

.header__slider .list .single {
  flex: 0 0 22%;
  max-width: 22%;
  cursor: pointer;
}
.header__slider .list .single .desc {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  background-color: rgba(13, 20, 6, 0.2);
  color: #fff;
  position: relative;
  transform: rotateX(90deg);
  transform-origin: bottom left;
  transition: transform 600ms;
}
.header__slider .list .single .line {
  flex: 0 0 100%;
  max-width: 100%;
  height: 0.3rem;
  background-color: rgba(255, 255, 255, 0.5);
  position: relative;
}
.header__slider .list .single.active .line span,
.header__slider .list .single:hover .line span {
  transform: rotateY(0);
}

.header__slider .list .single .line span {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 3px;
  background-color: #85c441;
  transform: rotateY(90deg);
  transform-origin: right top;
  transition: all 1000ms;
}
.header__slider .list .single .desc img {
  width: 11rem;
  height: 6rem;
  object-fit: cover;
}
.header__slider .list .single .desc h5 {
  font-size: 1.2rem;
  font-weight: 400;
  margin-bottom: 0;
  margin-right: 2rem;
  display: block;
}
@media screen and (max-width: 768px) {
  .header__slider .list .single .desc h5 {
    display: none;
  }
}
.header__slider .list .single .desc svg {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  left: 15px;
  font-size: 20px;
  line-height: 1;
}
.list .single .desc .icon {
  width: 2.4rem;
  height: 2.4rem;
  background: url(../img/icon-arrow-left.png) no-repeat center center;
  background-size: 2.4rem;
}
/* Showcase */
.showcase {
  background-color: var(--color-bg);
}
.showcase .block {
  display: flex;
  justify-content: space-between;
  padding: 4rem 0;
}
.showcase__desc {
  max-width: 45%;
  text-align: justify;
}
.showcase__desc p {
  font-size: 1.3rem;
}
.showcase__brands {
  max-width: 45%;
}
.showcase__logos {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  gap: 5rem;
}
.showcase__logos img {
  margin-bottom: 2rem;
}
@media screen and (max-width: 768px) {
  .showcase__logos {
    flex-direction: column;
  }
}
.card__desc h4 {
  padding-right: 2.5rem;
  font-style: 1.7rem;
  padding-bottom: 1.5rem;
  border-bottom: 1px solid rgba(68, 68, 68, 0.2);
}
/* Plan Block */
.plans,
.projects {
  margin-top: 4rem;
}
.plans__block {
  display: flex;
}
.card {
  max-width: 33.33%;
  padding: 1.5rem;
  display: flex;
}
.card__img img {
  width: 100%;
  margin-bottom: 2.5rem;
}

/* hover images */
.card__img--hover {
  position: relative;
}
.card__img--hover::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: rgba(13, 20, 6, 0.6);
  opacity: 0;
  transition: opacity 0.5s ease-in-out;
}
.card__img--hover::after {
  content: "";
  position: absolute;
  width: 2.5rem;
  height: 2.5rem;
  background: url(../images/icon-arrow-left.png) no-repeat center center;
  opacity: 0;
  transition: opacity 0.5s ease-in-out;
  bottom: 1.5rem;
  left: 2.5rem;
}
.card__link:hover .card__img--hover::before,
.card__link:hover .card__img--hover::after,
.pro__lg:hover .card__img--hover::before,
.pro__lg:hover .card__img--hover::after,
.pro__sm:hover .card__img--hover::before,
.pro__sm:hover .card__img--hover::after {
  opacity: 1;
}
.pro__lg:hover .pro__info,
.pro__sm:hover .pro__info {
  background-color: var(--color-hover);
  color: #fff;
}
/* Projects */

.grids {
  display: grid;
  gap: 2.5rem;
  grid-template-columns: repeat(3, 32%);
  grid-template-rows: 22rem 1fr 22.2rem 15rem 22rem; /*repeat(4, minmax(22.2rem, 1fr))*/
  justify-content: center;
}
/* .pro--card {
  background-color: #85c441;
} */

.first-child {
  grid-row: 1/3;
}

.third-child {
  grid-row: 1/3;
  grid-column: 3/4;
}
.fourth-child {
  grid-row: 2/4;
}
.fifth-child {
  grid-row: 3/5;
}
.seventh-child {
  grid-row: 4/6;
}
.sixth-child {
  grid-row: 3/5;
}

.pro__link {
  background-color: var(--color-bg);
  width: 100%;
  display: block;
  height: 22.2rem;
  padding: 2.5rem 4rem;
  position: relative;
  transition: background-color 0.5s ease-in-out;
}
.pro__link h4 {
  margin-bottom: 1.5rem;
}
.pro__link p {
  font-size: 1.2rem;
}
.pro__link::after {
  content: "";
  position: absolute;
  width: 2.5rem;
  height: 2.5rem;
  background: url(../images/icon-arrow-left.png);
  bottom: 1.5rem;
  left: 2.5rem;
  opacity: 0;
  transition: opacity 0.5s ease-in-out;
}

.pro--card:hover .pro__link::after {
  opacity: 1;
}

.pro--card:hover .pro__link {
  background-color: var(--color-secondary);
  color: #fff;
}

.pro__info {
  position: absolute;
  width: calc(100% - 8rem);
  padding: 2rem;
  background-color: rgba(237, 241, 243, 0.9);
  top: 2rem;
  right: 0;
  transition: all 0.5s ease;
}
.pro__info h3 {
  font-size: 1.2rem;
  margin-bottom: 2.5rem;
}
.pro__info p {
  font-size: 1.2rem;
}
.pro__lg,
.pro__sm {
  position: relative;
  display: block;
}
.pro__lg img,
.pro__sm img {
  display: block;
  width: 100%;
  object-fit: cover;
}
/* .pro__lg img {
  height: 55rem;
}
.pro__sm img {
  height: 41rem;
} */
@media screen and (max-width: 768px) {
  .grids {
    display: flex;
    flex-direction: column;
  }
}
/* Footer */
.footer {
  background: #f2f2f2 url(../images/footer-bg.png) center center/cover;
  margin-top: 6rem;
}
.footer__blocks {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 2rem 0;
}
.footer__blocks h5 {
  margin-bottom: 2.5rem;
}
.footer__list {
  list-style: none;
  display: flex;
}
@media screen and (max-width: 768px) {
  .footer__list {
    display: inherit;
  }
}
.footer__list li {
  padding: 0 2rem;
}
.footer__list li a {
  width: 4rem;
  height: 4rem;
  display: inline-flex;
  /* color: rgba(68, 68, 68, 0.8); */
}
.footer__list li a svg.icon {
  fill: rgba(68, 68, 68, 0.8);
}
.address--col p {
  font-size: 1.2rem;
}
.address--col,
.contact--col {
  flex: 0 0 22%;
  max-width: 22%;
  border-right: 1px solid rgba(13, 20, 6, 0.2);
  padding: 2rem;
}

.social--col {
  flex: 0 0 32%;
  max-width: 32%;
}
.brands--col {
  max-width: 24%;
}
footer .copyright {
  padding-top: 10px;
  padding-bottom: 10px;
  background-color: #85c441;
}
footer .copyright a {
  font-size: 1.15rem;
}
